# Copyright 2022-present Lenovo
# Confidential and Proprietary
import tensorflow.compat.v1 as tf
tf.disable_v2_behavior()

from faster_rcnn import FasterRCNNExportService
from yolov3 import YOLOv3ExportService


FLAGS = tf.app.flags.FLAGS
if FLAGS.lico_model_name == "yolov3":
    ExportService = YOLOv3ExportService
elif FLAGS.lico_model_name == "faster_rcnn":
    ExportService = FasterRCNNExportService
else:
    raise ValueError("Model topology is not yet supported.")


if __name__ == '__main__':
    FLAGS.lico_model_name = "yolov3"
    od_obj = ExportService()
    od_obj.checkpoint2pb()
